---
layout: docs
page_title: credential-stores read - Command
description: >-
  The "credential-stores read" command retrieves the details of a credential store resource.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# credential-stores read

Command: `boundary credential-stores read`

The `credential-stores read` command reads credential store information for a credential store with a specific ID.

## Examples

The following example retrieves credential store information for a credential store with the ID `csvlt_5fvkRjCjou`:

```shell-session
$ boundary credential-stores read -id csvlt_5fvkRjCjou
```

**Example output:**

<CodeBlockConfig hideClipboard>

```plaintext
Credential Store information:
  Created Time:        Fri, 18 Aug 2023 16:22:02 PDT
  ID:                  csvlt_5fvkRjCjou
  Type:                vault
  Updated Time:        Fri, 18 Aug 2023 16:22:02 PDT
  Version:             1

  Scope:
    ID:                p_tnqESc86qE
    Name:              db-project
    Parent Scope ID:   o_4VUR6ZATqW
    Type:              project

  Authorized Actions:
    no-op
    read
    update
    delete

  Authorized Actions on Credential Store's Collections:
    credential-libraries:
      create
      list

  Attributes:
    Address:           http://127.0.0.1:8200
    Token Status:      expired
    Worker Filter:     "worker" in "/tags/type"
```

</CodeBlockConfig>

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary credential-stores read [options] [args]
```

</CodeBlockConfig>

### Command options

- `-id` `(string: "")` - The ID of the credential store for which to read information.

@include 'cmd-option-note.mdx'
